
%global meadversion 6.0.6
%global namedversion 6.0.6.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package hibernate-commons-annotations}
%{!?scl:%global pkg_name %{name}}

%define maven_version 6.0.6.Final-redhat-00001

Name:           %{?scl_prefix}hibernate-commons-annotations
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Hibernate Commons Annotations
Group:          Development/Java

%if %with mead
Source100: hibernate-commons-annotations-6.0.6.Final-redhat-00001-project-sources.tar.gz
Source102: hibernate-commons-annotations-6.0.6.Final-redhat-00001-javadoc.jar
Source103: hibernate-commons-annotations-6.0.6.Final-redhat-00001.jar
Source104: hibernate-commons-annotations-6.0.6.Final-redhat-00001.pom
Source105: hibernate-commons-annotations-6.0.6.Final-redhat-00001-sources.jar
%endif

License:        LGPLv2+
URL:            http://hibernate.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Common reflection code used in support of annotation processing.

%if %with javadoc
%package javadoc
Summary:        Javadoc for hibernate-commons-annotations
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n hibernate-commons-annotations-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/hibernate-commons-annotations-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-commons-annotations-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/hibernate-commons-annotations-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/hibernate-commons-annotations-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-commons-annotations-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-commons-annotations-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/hibernate-commons-annotations-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/hibernate-commons-annotations-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/hibernate-commons-annotations-%{namedversion} -x META-INF/\*
%{__ln_s} hibernate-commons-annotations-%{namedversion} %{buildroot}%{_javadocdir}/hibernate-commons-annotations
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc changelog.txt lgpl.txt readme.txt
%{_javadir}/hibernate-commons-annotations-%{namedversion}.jar
%{_javadir}/hibernate-commons-annotations.jar
%if %with javadoc
%{_javadir}/hibernate-commons-annotations-%{namedversion}-javadoc.jar
%{_javadir}/hibernate-commons-annotations-javadoc.jar
%endif
%{_javadir}/hibernate-commons-annotations-%{namedversion}-sources.jar
%{_javadir}/hibernate-commons-annotations-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/hibernate-commons-annotations-%{namedversion}
%{_javadocdir}/hibernate-commons-annotations
%endif

%changelog
* Mon Mar 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 6.0.6-1.Final_redhat_00001.1
- Built by CPaaS

* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 6.0.1-3.Final_redhat_00001.1
- Built by CPaaS

* Wed Dec 14 2022 cpaas-ops <cpaas-ops@redhat.com> - 6.0.1-2.Final_redhat_00001.1
- Built by CPaaS

* Thu Nov 03 2022 cpaas-ops <cpaas-ops@redhat.com> - 6.0.1-1.Final_redhat_00001.1
- Built by CPaaS

* Tue Oct 11 2022 cpaas-ops <cpaas-ops@redhat.com> - 5.0.5-2.Final_redhat_00002.1
- Built by CPaaS

